<?php
/**
 * @package WordPress
 * @subpackage Vermillon
 */

get_header();
?>

<div id="content">

	<?php if (have_posts()) : ?>

	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
	<?php /* If this is a category archive */ if (is_category()) { ?>
	<h2>Рубрика &rarr; <?php single_cat_title(); ?></h2>
	<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
	<h2>Публикаци с меткой &rarr; <?php single_tag_title(); ?></h2>
	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
	<h2>Архив &rarr; <?php the_time(__('d M Y')); ?></h2>
	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
	<h2>Архив &rarr; <?php the_time(__('F Y')); ?></h2>
	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
	<h2>Архив &rarr; <?php the_time('Y'); ?></h2>
	<?php /* If this is an author archive */ } elseif (is_author()) { ?>
	<h2>Архив автора</h2>
	<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
	<h2>Архив сайта</h2>
	<?php } ?>

	<?php while (have_posts()) : the_post(); ?>
			
		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<div class="post-infos"><?php the_time(__('d M Y')) ?></div>
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка: <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
			<?php the_content(__('Читать полностью').' &rarr;'); ?>
			<div class="post-infos">Автор: <?php the_author() ?> &bull; Рубрика: <?php the_category(', ') ?> &bull; <?php comments_popup_link(__('Ваш отзыв'), __('1 отзыв'), __('Отзывов (%)')); ?> <?php edit_post_link(__('Править'), '&bull; ', ''); ?></div>
		</div>

	<?php endwhile; ?>

	<?php if(show_posts_nav()): ?>
	<div class="navigation clear">
		<div class="left"><?php next_posts_link('&larr; '.__('Предыдущая страница')) ?></div>
		<div class="right"><?php previous_posts_link(__('Следующая страница').' &rarr;') ?></div>
	</div>
	<?php endif; ?>

	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf('<p>'.__("К сожалению, в рубрике %s ничего не найдено").'</p>', single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo '<p>'.__("К сожалению, за эту дату ничего не найдено.").'</p>';
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf('<p>'.__("К сожалению, этот автор еще ничего не опубликовал.").'</p>', $userdata->display_name);
		} else {
			echo '<p>'.__("Ничего не найдено.").'</p>';
		}
		get_search_form();

	endif;
?>

</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>