<?php
/**
 * @package WordPress
 * @subpackage Vermillon
 */

// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="alert">Пожалуйста, введите пароль для просмотра комментариев.</p>
	<?php
		return;
	}
?>

<div id="comments">
	<div class="clear title">
		<div class="left"><h2><?php comments_number(__('Отзывов нет'), __('1 отзыв'), __('Отзывов (%)'));?></h2></div>
		<div class="right"><?php if (pings_open($post_id)) echo '<a href="'.trackback_url(false).'" class="arrow">'.__('Пинг').'</a>'; ?> <span class="rss"><?php post_comments_feed_link('RSS'); ?></span></div>
	</div>

<?php if ( have_comments() ) : ?>
    <div id="commentlist">
    	<?php wp_list_comments(array('callback' => 'vermillon_comment', 'style' => 'li')); ?>
    </div>

	<div class="navigation clear">
		<div class="left"><?php previous_comments_link() ?></div>
		<div class="right"><?php next_comments_link() ?></div>
	</div>
	
<?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
		
	<p>Прокомментируйте первыми!</p>
		
	<?php endif; ?>
<?php endif; ?>
</div>


<div id="respond">

	<h2><?php comment_form_title(__('Ваш отзыв')); ?></h2>

<?php if ( comments_open() ) : ?>

	<p class="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></p>

	<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
	<p>Вы должны <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">войти</a>, чтобы оставлять комментарии.</p>
	<?php else : ?>

	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
		<?php if ( is_user_logged_in() ) : ?>
		<p>Вы вошли как <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Выйти с этого аккаунта">Выйти &raquo;</a></p>

		<?php else : ?>
		<p><input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" />
		<label for="author">Имя <?php if ($req) _e('(обязательно)'); ?></label></p>

		<p><input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" />
		<label for="email">Почта (не публикуется) <?php if ($req) _e('(обязательно)'); ?></label></p>

		<p><input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
		<label for="url">Сайт</label></p>
		<?php endif; ?>

		<p><textarea name="comment" id="comment" cols="64" rows="10" tabindex="4"></textarea></p>
		<p><input name="submit" type="submit" id="submit" tabindex="5" class="submit" value="Отправить" /></p>

		<?php comment_id_fields(); ?>
		<?php do_action('comment_form', $post->ID); ?>
	</form>

	<?php endif; // If registration required and not logged in ?>

<?php else : // comments are closed ?>
	<p class="nocomments"><?php _e('К сожалению, комментарии закрыты.'); ?></p>

<?php endif; // if you delete this the sky will fall on your head ?>

</div>