<?php
/**
 * @package WordPress
 * @subpackage Vermillon
 */

get_header(); ?>

<div id="content">

	<?php if (have_posts()) : ?>

	<div class="title clear">
		<div class="left"><h2>Результаты поиска</h2></div>
		<div class="right"><?php get_search_form(); ?></div>
	</div>

	<?php while (have_posts()) : the_post(); ?>

		<div <?php post_class('post') ?> id="post-<?php the_ID(); ?>">
			<div class="post-infos">
			<?php if($post->post_type == 'page'):
				echo 'Страница';
			else:
				the_time(__('d M Y'));
			endif; ?>
			</div>
			
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка: <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
			<?php the_content(__('Читать полностью').' &rarr;'); ?>

			<?php if($post->post_type != 'page'): ?>
			<div class="post-infos">Автор: <?php the_author() ?> &bull; Рубрика: <?php the_category(', ') ?> &bull; <?php comments_popup_link(__('Ваш отзыв'), __('1 отзыв'), __('Отзывов (%)')); ?> <?php edit_post_link(__('Править'), '&bull; ', ''); ?></div>
			<?php endif; ?>
		</div>

	<?php endwhile; ?>
	
	<?php if(show_posts_nav()): ?>
	<div class="navigation clear">
		<div class="left"><?php next_posts_link('&larr; '.__('Предыдущая страница')) ?></div>
		<div class="right"><?php previous_posts_link(__('Следующая страница').' &rarr;') ?></div>
	</div>
	<?php endif; ?>

	<?php else : ?>

		<h2>Ничего не найдено. Попробуете по другому запросу?</h2>

	<?php endif; ?>

</div>

<?php if (have_posts()) : ?>
	<?php get_sidebar(); ?>
<?php endif; ?>
<?php get_footer(); ?>